package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.vo.AppColumnDetailVo;
import com.dragoninfo.dcuc.app.vo.AppColumnRelationPageVO;
import com.dragoninfo.dcuc.app.vo.AppColumnRelationVO;
import com.dragoninfo.dcuc.app.vo.AppColumnSaveVo;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazq
 * @date 2022/10/5
 */
@FeignClient(name = "dcuc-app", path = "/dcuc/app/appColumnRelationFacaed")
public interface IAppColumnRelationFacaed {


    /**
     * 分页查询列表
     *
     * @param searchDTO
     * @return
     */
    @PostMapping("search")
    Page<AppColumnRelationPageVO> pageSearch(@RequestBody SearchDTO searchDTO);

    /**
     * 根据id获取详情
     *
     * @param id
     * @return
     */
    @PostMapping("detail")
    AppColumnDetailVo detail(@RequestParam("id") String id);

    /**
     * 根据id删除关联关系
     *
     * @param id
     */
    @DeleteMapping("deleteById")
    void deleteById(@RequestParam("id") String id);

    /**
     * 新增关联关系
     *
     * @param saveVo
     * @return
     */
    @PostMapping("relationAdd")
    ResponseStatus relationAdd(@RequestBody AppColumnSaveVo saveVo);

    /**
     * 关联关系修改
     *
     * @param saveVo
     * @return
     */
    @PostMapping("relationUpdate")
    ResponseStatus relationUpdate(@RequestBody AppColumnSaveVo saveVo);

    /**
     * 查询所有的关联关系id和code
     *
     * @return
     */
    @GetMapping("findAllIdAndCode")
    List<AppColumnRelationVO> findAllIdAndCode();
}
