package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.dto.sub.DataLevelDTO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

/**
 * 数据分级Api
 * @author mazq
 * @date 2021/5/25
 */
@FeignClient(name = "dcuc-app", path = "/dcuc/app/dataLevelFacade")
public interface IDataLevelFacade {

    /**
     * 主客体授权数据分级新增
     * @param dto
     * @return
     */
    @PostMapping("dataLevelAdd")
    ResponseStatus dataLevelAdd(@RequestBody DataLevelDTO dto);

    /**
     * 查看详情
     * @param id
     * @return
     */
    @GetMapping("detail/{id}")
    DataLevelDTO detail(@PathVariable("id") String id);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    @DeleteMapping(value = "deleteById/{id}")
    Boolean deleteById(@PathVariable("id") String id);

    /**
     * 根据code获取数据分级详情
     * @param levelCode
     * @return
     */
    @GetMapping(value = "detailByCode/{levelCode}")
    DataLevelDTO detailByCode(@PathVariable("levelCode") String levelCode);

    /**
     * 分页查询列表
     * @param searchDTO
     * @return
     */
    @PostMapping("search")
    Page<DataLevelDTO> pageSearch(@RequestBody SearchDTO searchDTO);
}
