package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.dto.sub.FieldSecDTO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

/**
 * 数据安全等级Api
 * @author mazq
 * @date 2021/5/25
 */
@FeignClient(name = "dcuc-app", path = "/dcuc/app/dataSecFacade")
public interface IDataSecFacade {

    /**
     * 主客体授权数据安全等级新增
     * @param dto
     * @return
     */
    @PostMapping("dataLevelAdd")
    ResponseStatus dataLevelAdd(@RequestBody FieldSecDTO dto);

    /**
     * 查看详情
     * @param id
     * @return
     */
    @GetMapping("detail/{id}")
    FieldSecDTO detail(@PathVariable("id") String id);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    @DeleteMapping("deleteById/{id}")
    Boolean deleteById(@PathVariable("id") String id);

    /**
     * 根据code查询数据安全等级详情
     * @param secCode
     * @return
     */
    @GetMapping("detailByCode/{secCode}")
    FieldSecDTO detailByCode(@PathVariable("secCode") String secCode);

    /**
     * 数据安全等级分页查询
     * @param searchDTO
     * @return
     */
    @PostMapping("search")
    Page<FieldSecDTO> pageSearch(@RequestBody SearchDTO searchDTO);

}
