package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

import java.util.List;

/**
 * 获取资源数据请求数据封装对象
 * @author mazq
 * @date 2020/11/26
 */
@Data
public class ResourceRequestParamDTO {

    /**
     * 是否获取全量应用和服务资源数据
     */
    private Boolean listingAll;

    /**
     * 获取菜单资源是否同步获取 false 异步获取  true 同步获取  可为空,空默认false
     */
    private Boolean menuSync;

    /**
     * 需要全量获取的资源类型-对应资源类型枚举类
     */
    private List<String> listAllResourceType;
    /**
     * 不全量获取时,获取资源数据参数封装集合
     * 当listingAll为false时有用
     */
    private List<ListingParamDTO> listingParams;

    /**
     * 获取每页的数量
     */
    private Integer pageSize;

    /**
     * 全量获取时有用
     * 从currentPageNo页开始获取
     */
    private Integer currentPageNo;
}
