package com.dragoninfo.dcuc.app.dto.sub;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 数据资源分类DTO
 * @author mazq
 * @date 2021/5/25
 */
@NoArgsConstructor
@Data
public class DataClaDTO {

    /**
     * 主键id
     */
    private String id;

    /**
     * 一级id
     */
    private String firId;

    /**
     * 二级id
     */
    private String secId;

    /**
     * 标签分类id
     */
    private String labClaId;

    /**
     * 数据授权资源类型
     */
    private String dataType;

    /**
     * 码值
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 层级
     */
    private String level;

    /**
     * 分类类型 一级分类 二级分类 标签分类 标签
     */
    private String type;

    /**
     * 说明
     */
    private String remark;

    /**
     * 是否删除
     */
    private String deleted;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 删除时间
     */
    private Date deleteTime;

    public DataClaDTO(String code, String name, String level, String type) {
        this.code = code;
        this.name = name;
        this.level = level;
        this.type = type;
    }
}
