package com.dragoninfo.dcuc.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Tolerate;

import java.util.List;

/**
 * @author mazq
 * @date 2021/4/13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "数据资源树对象")
public class DataResourceTreeVo {

    @ApiModelProperty(value = "节点id")
    private String id;
    @ApiModelProperty(value = "数据资源code")
    private String code;
    @ApiModelProperty(value = "节点名称")
    private String label;
    @ApiModelProperty(value = "分级分类code")
    private String classifyCode;
    @ApiModelProperty(value = "子节点集合")
    private List<DataResourceTreeVo> child;
    @ApiModelProperty(value = "是否是树节点 true：是树节点,child不为空。false：非树节点,child为空。")
    private Boolean treeNode;
    @ApiModelProperty(value = "父节点id")
    private String pId;
}
