package com.dragoninfo.dcuc.app.facade;

import com.dragoninfo.dcuc.app.entity.ManufacturerInfo;
import com.dragoninfo.dcuc.app.service.IManufacturerInfoService;
import com.dragonsoft.duceap.base.entity.metadata.CodeRecord;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @author yica
 * @date 2018/8/8
 */
@RestController
@RequestMapping("/dcuc/app/manufacturerInfoFacade")
public class ManufacturerInfoFacade implements IManufacturerInfoFacade {

    @Autowired
    private IManufacturerInfoService manufacturerInfoService;

    @Override
    public Page<ManufacturerInfo> manufacturerInfoPage(SearchDTO searchDTO) {
        return manufacturerInfoService.manufacturerInfoPage(searchDTO);
    }

    @Override
    public ManufacturerInfo manufacturerInfoDetail(String id) {
        return manufacturerInfoService.manufacturerInfoDetail(id);
    }

    @Override
    public ManufacturerInfo saveManufacturer(ManufacturerInfo info) {
        return manufacturerInfoService.saveManufacturer(info);
    }

    @Override
    public ManufacturerInfo updateManufacturer(ManufacturerInfo info) {
        return manufacturerInfoService.updateManufacturer(info);
    }

    @Override
    public void del(String id) {
        manufacturerInfoService.del(id);
    }

    @Override
    public ManufacturerInfo detailByCode(String code) {
        return manufacturerInfoService.detailByCode(code);
    }

    @Override
    public ManufacturerInfo getOneByName(String manufacturerName) {
        return manufacturerInfoService.getOneByName(manufacturerName);
    }

    @Override
    public ManufacturerInfo getOneByCodeName(String code, String manufacturerName) {
        return manufacturerInfoService.getOneByCodeName(code, manufacturerName);
    }

    @Override
    public List<CodeRecord> getAllCodeRecord() {
        return manufacturerInfoService.getAllCodeRecord();
    }

    @Override
    public Map<String, String> getAllIdNameMap() {
        return manufacturerInfoService.getAllIdNameMap();
    }

    @Override
    public List<ManufacturerInfo> getAllList() {
        return manufacturerInfoService.findAll();
    }
}
