package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.dto.sub.FieldSecDTO;
import com.dragoninfo.dcuc.app.entity.sub.FieldSec;
import com.dragoninfo.dcuc.app.service.sub.IDataSecService;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author mazq
 * @date 2021/5/25
 */
@RestController
@RequestMapping(value = "/dcuc/app/dataSecFacade")
public class DataSecFacade implements IDataSecFacade {

    @Autowired
    private IDataSecService dataSecService;


    @Override
    public ResponseStatus dataLevelAdd(FieldSecDTO dto) {
        return dataSecService.dataLevelAdd(dto);
    }


    @Override
    public FieldSecDTO detail(String id) {
        FieldSec sec = dataSecService.getById(id);
        FieldSecDTO dto = new FieldSecDTO();
        BeanUtils.copyProperties(sec, dto);
        return dto;
    }

    @Override
    public Boolean deleteById(String id) {
        return dataSecService.deleteById(id);
    }

    @Override
    public FieldSecDTO detailByCode(String secCode) {
        return dataSecService.detailByCode(secCode);
    }

    @Override
    public Page<FieldSecDTO> pageSearch(SearchDTO searchDTO) {
        return dataSecService.pageSearch(searchDTO);
    }


}
