package com.dragoninfo.dcuc.app.service.sub;

import com.dragoninfo.dcuc.app.entity.sub.AppColumnRelation;
import com.dragoninfo.dcuc.app.vo.AppColumnRelationVO;
import com.dragoninfo.dcuc.app.vo.DataLevelVo;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/2
 */
public interface IAppColumnRelationService {
    /**
     * 同步数据
     *
     * @param list 列表
     */
    void sync(List<AppColumnRelationVO> list);

    /**
     * 获取所有关系
     *
     * @return
     */
    List<AppColumnRelation> findAll();

    /**
     * 获取所有关系的id和code
     *
     * @return
     */
    List<AppColumnRelation> findAllIdAndCode();

    /**
     * 分页查询
     *
     * @param searchable
     * @return
     */
    Page<AppColumnRelation> pageSearch(Searchable searchable);

    /**
     * 根据id获取详情
     *
     * @param id
     * @return
     */
    AppColumnRelation getById(String id);

    /**
     * 根据id删除关联关系
     *
     * @param id
     */
    void deleteById(String id);

    AppColumnRelation getByCode(String code);

    /**
     * 新增
     *
     * @param relation
     */
    void save(AppColumnRelation relation);

    /**
     * 修改
     *
     * @param oldRelation
     */
    void update(AppColumnRelation oldRelation);

}
