package com.dragoninfo.dcuc.app.service.impl;

import cn.hutool.json.JSONUtil;
import com.dragoninfo.dcuc.app.entity.ApplyInfo;
import com.dragoninfo.dcuc.app.entity.ApplyOauth;
import com.dragoninfo.dcuc.app.service.IApplyInfoService;
import com.dragoninfo.dcuc.app.service.IApplyOauthService;
import org.checkerframework.checker.units.qual.A;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.Rollback;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static org.junit.Assert.*;

/**
 * @author huangzqa
 * @date 2020/10/28
 */
@RunWith(SpringRunner.class)
@SpringBootTest
@Transactional
@Rollback()
public class ApplyOauthServiceImplTest {

    @Autowired
    private IApplyOauthService applyOauthService;

    @Autowired
    private IApplyInfoService applyInfoService;

    @Test
    public void saveOauth() {

        ApplyInfo one = applyInfoService.getOne("2c90e944668a66c001668aff5de00000");

        applyOauthService.saveOauth(one);
    }

    @Test
    public void updateOauth() {
        ApplyInfo one = applyInfoService.getOne("2c90e944668a66c001668aff5de00000");

        one.setSecretKey("111111");

        applyOauthService.updateOauth(one);
    }

    @Test
    public void applyOauthList() {

        Map<String, Object> stringObjectMap = new HashMap<>();
        stringObjectMap.put("deleted", 0);
        List<ApplyOauth> applyOauths = applyOauthService.applyOauthList(stringObjectMap);
        System.out.println(JSONUtil.toJsonStr(applyOauths));
        Assert.assertNotNull(applyOauths);
    }
}